package com.iformall.pay;

import lombok.Data;

/**
 * Created by Stormeye on 2018/8/10.
 */
@Data
public class WxCouponInfoQ {
    private String coupon_id;           // 代金券id
    private String openid;              // 用户openid
    private String appid;               // 公众账号ID/小程序ID
    private String mch_id;              // 商户号
    private String stock_id;            // 批次号
    private String nonce_str;           // 随机字符串
    private String sign;                // 签名

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("WxCouponInfoQ {");
        sb.append("coupon_id='").append(coupon_id).append('\'');
        sb.append(", openid='").append(openid).append('\'');
        sb.append(", appid='").append(appid).append('\'');
        sb.append(", mch_id='").append(mch_id).append('\'');
        sb.append(", stock_id='").append(stock_id).append('\'');
        sb.append(", nonce_str='").append(nonce_str).append('\'');
        sb.append(", sign='").append(sign).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
